VerityVerity API
API Reference

List webhook endpoints

List all webhook endpoints for your organization. Requires Enterprise plan.

GET
/webhooks

Authorization

bearerAuth
AuthorizationBearer <token>

API keys are prefixed with vrt_live_ for production or vrt_test_ for testing. Example: vrt_live_abc123xyz

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://verity.backworkai.com/api/v1/webhooks"
{
  "success": true,
  "data": [
    {
      "id": 0,
      "url": "string",
      "events": [
        "string"
      ],
      "status": "active",
      "failure_count": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}
{
  "success": false,
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid query parameters",
    "hint": "Check the 'code' parameter format",
    "details": {}
  },
  "meta": {
    "request_id": "req_abc123"
  }
}